Standard 3-Manifolds

Standard 3-manifolds whose structures are well-understood. More...

## Classes

class | regina::NGraphLoop
| Represents a closed graph manifold formed by joining a single bounded Seifert fibred space to itself along a torus. More...
class | regina::NGraphPair
| Represents a closed graph manifold formed by joining two bounded Seifert fibred spaces along a common torus. More...
class | regina::NGraphTriple
| Represents a closed graph manifold formed by joining three bounded Seifert fibred spaces along their torus boundaries. More...
class | regina::NHandlebody
| Represents an arbitrary handlebody. More...
class | regina::NLensSpace
| Represents a general lens space. More...
class | regina::NManifold
| Represents a particular 3-manifold. More...
struct | regina::NSFSFibre
| Represents an exceptional (alpha, beta) fibre in a Seifert fibred space. More...
class | regina::NSFSpace
| Represents a general Seifert fibred space, which may be orientable or non-orientable. More...
class | regina::NSFSAltSet
| Provides a variety of alternative representations of a single bounded Seifert fibred space. More...
class | regina::NSimpleSurfaceBundle
| Represents a particularly simple closed surface bundle over the circle. More...
class | regina::NSnapPeaCensusManifold
| Represents a 3-manifold from the SnapPea cusped census. More...
class | regina::NTorusBundle
| Represents a torus bundle over the circle. More...

## Functions

REGINA_API std::ostream & | regina::operator<< (std::ostream &out, const NSFSFibre &f)
| Writes the given fibre in human-readable format to the given output stream. More...

## Detailed Description

Standard 3-manifolds whose structures are well-understood.

## Function Documentation

REGINA_API std::ostream& regina::operator<< | ( | std::ostream & | out,
|  | const NSFSFibre & | f
| ) |  |

Writes the given fibre in human-readable format to the given output stream.

The fibre will be written in the format `(alpha,beta)` with no newline appended.

Parameters

  out | the output stream to which to write.
  f | the fibre to write.

Returns
  the output stream out.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).